﻿@model IEnumerable<CarRental.Core.Models.Car>

@{
    var i = 0;
}
@if (Model == null)
{
    <h3 class="justify-content-center align-content-center">You have no car in here!</h3>
}
else
{
    @foreach (var item in Model)
    {
        <div class="car-wrap car-wrapper rounded ftco-animate mt-4 mb-4">
            <div class="row blog_1 mb-5">
                <div class="col-md-5">
                    <div class="car-wrap rounded ftco-animate m-2">
                        <div id="carouselExampleIndicators_@i" class="carousel slide" data-ride="carousel">
                            <ol class="carousel-indicators">
                                <li data-target="#carouselExampleIndicators_@i" data-slide-to="0" class="active"></li>
                                <li data-target="#carouselExampleIndicators_@i" data-slide-to="1"></li>
                                <li data-target="#carouselExampleIndicators_@i" data-slide-to="2"></li>
                                <li data-target="#carouselExampleIndicators_@i" data-slide-to="3"></li>
                            </ol>
                            <div class="carousel-inner">
                                <div class="carousel-item active">
                                    <img class="d-block w-100 rounded" src="@Url.Content(item.CarImage.FrontImg)" alt="First slide">
                                </div>
                                <div class="carousel-item">
                                    <img class="d-block w-100 rounded" src="@Url.Content(item.CarImage.BackImg)" alt="Second slide">
                                </div>
                                <div class="carousel-item">
                                    <img class="d-block w-100 rounded" src="@Url.Content(item.CarImage.LeftImg)" alt="Third slide">
                                </div>
                                <div class="carousel-item">
                                    <img class="d-block w-100 rounded" src="@Url.Content(item.CarImage.RightImg)" alt="Fourth slide">
                                </div>
                            </div>
                            <a class="carousel-control-prev" href="#carouselExampleIndicators_@i" role="button"
                               data-slide="prev">
                                <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                                <span class="sr-only">Previous</span>
                            </a>
                            <a class="carousel-control-next" href="#carouselExampleIndicators_@i" role="button"
                               data-slide="next">
                                <span class="carousel-control-next-icon" aria-hidden="true"></span>
                                <span class="sr-only">Next</span>
                            </a>

                        </div>
                    </div>
                </div>
                <div class="col-md-4" style="color: black;">
                    <div class="card-title col-md col-sm mt-2">
                        <h2 class="font-weight-bold">@item.CarName</h2>
                    </div>
                    <div class="model_pg1i clearfix">
                        <div class="model_m clearfix border-top-0">
                            <div class="model_pg1i2 row">
                                <div class="col-md-3 col-sm-3">
                                    <div class="model_pg1i2r">
                                        <span>Ratings:</span>

                                    </div>
                                </div>
                                <div class="col-md-9 col-sm-9">
                                    <div class="model_pg1i2l">
                                        <span class="star">
                                            @if (double.IsNaN(ViewBag.AvgRate) || ViewBag.AvgRate < 0.5)
                                            {
                                                <span class="fa fa-star"></span>
                                                <span class="fa fa-star "></span>
                                                <span class="fa fa-star "></span>
                                                <span class="fa fa-star"></span>
                                                <span class="fa fa-star"></span>
                                            }
                                            else if (ViewBag.AvgRate >= 0.5 && ViewBag.AvgRate < 1.5)
                                            {
                                                <span class="fa fa-star checked"></span>
                                                <span class="fa fa-star "></span>
                                                <span class="fa fa-star "></span>
                                                <span class="fa fa-star "></span>
                                                <span class="fa fa-star "></span>
                                            }
                                            else if (ViewBag.AvgRate >= 1.5 && ViewBag.AvgRate < 2.5)
                                            {
                                                <span class="fa fa-star checked"></span>
                                                <span class="fa fa-star checked"></span>
                                                <span class="fa fa-star "></span>
                                                <span class="fa fa-star "></span>
                                                <span class="fa fa-star "></span>
                                            }
                                            else if (ViewBag.AvgRate >= 2.5 && ViewBag.AvgRate < 3.5)
                                            {
                                                <span class="fa fa-star checked"></span>
                                                <span class="fa fa-star checked"></span>
                                                <span class="fa fa-star checked"></span>
                                                <span class="fa fa-star checked"></span>
                                                <span class="fa fa-star "></span>
                                            }
                                            else if (ViewBag.AvgRate >= 3.5 && ViewBag.AvgRate < 4.5)
                                            {
                                                <span class="fa fa-star checked"></span>
                                                <span class="fa fa-star checked"></span>
                                                <span class="fa fa-star checked"></span>
                                                <span class="fa fa-star checked"></span>
                                                <span class="fa fa-star "></span>
                                            }
                                            else if (ViewBag.AvgRate >= 4.5)
                                            {
                                                <span class="fa fa-star checked"></span>
                                                <span class="fa fa-star checked"></span>
                                                <span class="fa fa-star checked"></span>
                                                <span class="fa fa-star checked"></span>
                                                <span class="fa fa-star checked"></span>
                                            }
                                        </span>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="model_m clearfix border-top-0 mt-2">
                            <div class="model_pg1i2 row">
                                <div class="col-md-4 col-sm-3">
                                    <div class="model_pg1i2r">
                                        <span>
                                            No. of rides:

                                        </span>
                                    </div>
                                </div>
                                <div class="col-md-8 col-sm-9">
                                    <div class="model_pg1i2l">
                                        <span class="price">0</span>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="model_m clearfix border-top-0 mt-2">
                            <div class="model_pg1i2 row">
                                <div class="col-md-3 col-sm-3">
                                    <div class="model_pg1i2r">
                                        <label class="mb-0 fw-bolder">Price:</label>
                                    </div>
                                </div>
                                <div class="col-md-9 col-sm-9">
                                    <div class="model_pg1i2l">
                                        <span class="price"> @string.Format("{0:N0} VND", @item.BasePrice)/day</span>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="model_m clearfix border-top-0 mt-2">
                            <div class="model_pg1i2 row">
                                <div class="col-md-3 col-sm-3">
                                    <div class="model_pg1i2r">
                                        <label class="mb-0 fw-bolder">Locations:</label>
                                    </div>
                                </div>

                                <div class="col-md-9 col-sm-9">
                                    <div class="model_pg1i2l">
                                        <span class="price">
                                            @if (!string.IsNullOrEmpty(item.SpecificAddress))
                                            {
                                                @item.SpecificAddress

                                                <span>, </span>
                                            }
                                            @item.Address.Ward,
                                            @item.Address.District,
                                            @item.Address.City
                                        </span>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="model_m clearfix border-top-0 mt-2 mb-2">
                            <div class="model_pg1i2 row">
                                <div class="col-md-3 col-sm-3">
                                    <div class="model_pg1i2r">
                                        <label class="mb-0 fw-bolder">Status:</label>
                                    </div>
                                </div>

                                <div class="col-md-9 col-sm-9">
                                    <div class="model_pg1i2l">
                                        <span class="price" id="carStatus_@i" onchange="changeColorCarStatus(@i)">
                                            @item.CarStatus
                                        </span>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="col-md-3">
                    <p class="mt-4 align-items-end">
                        <a href="@Url.Action("EditCar", "Cars",
                            new { carId = item.CarId })" class="btn btn-primary d-block w-75 pt-2 mb-2">
                            View Details
                        </a>
                        @{
                            i++;
                        }
                    </p>
                </div>
            </div>
        </div>

    }
}

